<?php
/**
 * Wonder Grid Grid Template MetaBox
 *
 * @package Wonder Grid
 * @since   1.0.0
 */

defined( 'ABSPATH' ) || exit;

function wonder_grid_page_metabox() {
    $prefix = '_wonder_grid_page_';

    $form = new_cmb2_box( array(
        'id'            => $prefix . 'metabox',
        'title'         => esc_html__( 'Portfolio Grid Settings', 'wonder-grid' ),
        'object_types'  => array( 'page' ),
        'context'       => 'normal',
        'priority'      => 'high',
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Columns', 'wonder-grid' ),
        'id'   => $prefix . 'columns',
        'type' => 'select',
        'default' => '3',
        'options' => array(
            '2' => esc_html__( 'Grid: 2 Columns', 'wonder-grid' ),
            '3' => esc_html__( 'Grid: 3 Columns', 'wonder-grid' ),
            '4' => esc_html__( 'Grid: 4 Columns', 'wonder-grid' ),
            '5' => esc_html__( 'Grid: 5 Columns', 'wonder-grid' )
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Title Position', 'wonder-grid' ),
        'id'   => $prefix . 'title_position',
        'type' => 'select',
        'default' => 'outside',
        'options' => array(
            'outside' => esc_html__( 'Outside Box', 'wonder-grid' ),
            'inside' => esc_html__( 'Inside Box', 'wonder-grid' )
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Hover Animation', 'wonder-grid' ),
        'id'   => $prefix . 'hover_animation',
        'type' => 'select',
        'default' => 'zoom-in',
        'options' => array(
            'no-animation' => esc_html__( 'No Animation', 'wonder-grid' ),
            'zoom-in' => esc_html__( 'Zoom In', 'wonder-grid' ),
            'zoom-out' => esc_html__( 'Zoom Out', 'wonder-grid' ),
            'shine' => esc_html__( 'Shine', 'wonder-grid' ),
            'circle' => esc_html__( 'Circle', 'wonder-grid' ),
            'inner-border' => esc_html__( 'Inner Border', 'wonder-grid' ),
            'flash' => esc_html__( 'Flash', 'wonder-grid' ),
            'brightness' => esc_html__( 'Brightness', 'wonder-grid' )
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Enable Category Filter', 'wonder-grid' ),
        'id'   => $prefix . 'filter',
        'type' => 'select',
        'default' => false,
        'options' => array(
            false => esc_html__( 'No', 'wonder-grid' ),
            true => esc_html__( 'Yes', 'wonder-grid' )
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Enable Pagination', 'wonder-grid' ),
        'id'   => $prefix . 'pagination',
        'type' => 'select',
        'default' => 'no',
        'options' => array(
            'no' => esc_html__( 'No', 'wonder-grid' ),
            'yes' => esc_html__( 'Yes', 'wonder-grid' )
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Enable Infinite Scroll', 'wonder-grid' ),
        'id'   => $prefix . 'infinite',
        'type' => 'select',
        'default' => 0,
        'options' => array(
            0 => esc_html__( 'No', 'wonder-grid' ),
            1 => esc_html__( 'Yes', 'wonder-grid' )
        ),
        'attributes'  => array(
            'data-conditional-id' => $prefix . 'pagination',
            'data-conditional-value' => 'yes'
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Order By', 'wonder-grid' ),
        'id'   => $prefix . 'orderby',
        'type' => 'select',
        'default' => 'date',
        'options' => array(
            'date' => esc_html__( 'Publish Date', 'wonder-grid' ),
            'rand' => esc_html__( 'Random', 'wonder-grid' )
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Order', 'wonder-grid' ),
        'id'   => $prefix . 'order',
        'type' => 'select',
        'default' => 'desc',
        'options' => array(
            'desc' => esc_html__( 'Desc', 'wonder-grid' ),
            'asc' => esc_html__( 'Asc', 'wonder-grid' )
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Project Types', 'wonder-grid' ),
        'id'   => $prefix . 'types',
        'type' => 'multicheck',
        'options_cb' => 'wg_taxonomy_list',
        
    ) );
}

add_action('cmb2_admin_init', 'wonder_grid_page_metabox' );