<?php
/**
 * The project blog template for the shortcode and widget
 * If you want to override this template by your custom template in the theme folder,
 * just create the 'wonder-grid' folder in the theme folder,
 * then, copy this file to wonder-grid folder.
 * @version 1.0.0
 * @package Wonder Grid
 */

$id 	    = isset( $wg_data->id ) ? $wg_data->id : wp_rand(100,10000);
$number 	= $wg_data->number;
$orderby 	= $wg_data->orderby;
$order 		= $wg_data->order;
$pagination = $wg_data->pagination;
$filter     = $wg_data->filter;
$infinite   = $wg_data->infinite;
$categories = $wg_data->categories;
$grid_args  = array(
    'hover_animation' => $wg_data->hover_animation,
    'title_position'  => 'outside',
    'columns'         => 1
);

static $loop;

if( ! isset( $loop ) ) {
   $loop = 1;
}else{
   $loop ++;
}

$paging = 'paged-' . $loop;
$paged = isset( $_GET[$paging] ) ? esc_attr( $_GET[$paging] ) : 1;
$pagination_base = add_query_arg( $paging, '%#%' );

$params = array(
  'posts_per_page' => esc_attr( $number ),
  'post_type' => 'wonder-grid',
  'orderby'  => esc_attr( $orderby ),
  'order' => esc_attr( $order ),
  'paged'   => esc_attr( $paged )
);

if( isset( $categories ) && $categories !== '' ) {
     $params['tax_query'] = array(
        array(
          'taxonomy' => 'wonder-grid-type',
          'field' => 'slug',
          'terms' => $categories,
          'include_children' => true
        )
     );
 }

$project_query = new WP_Query( $params );


do_action( 'wonder_grid/before_grid_container' );
?>

<div class="wonder-grid-blog" data-infinite="<?php echo esc_attr( $infinite ); ?>">

	<?php
		/**
		 * Taxonomy Filter
		 */
		wg_taxonomy_filter( $id, $categories, $filter );
	?>

	<div id="wg-blog-<?php echo esc_attr( $id ); ?>" data-id="<?php echo esc_attr( $id ); ?>" class="wonder-grid-blog-shortcode wonder-grid-blog-container">

	<?php if ( $project_query->have_posts() ) : ?>

		<?php
			while ( $project_query->have_posts() ) :

				$project_query->the_post();

				/**
				 * Hooked Function: wg_grid_blog_item
				 * @see includes/functions.php
				 */
				do_action( 'wonder_grid/blog_items', $grid_args );

			endwhile;
			wp_reset_postdata();
	  ?>

	<?php else: ?>

		<p><?php esc_html_e( 'No project found.', 'wonder-grid' ); ?></p>

	<?php endif;?>

	</div>

	<?php if( $pagination ): ?>
		<div class="wonder-grid-pagenavi">
		   <?php
			   echo paginate_links( array(
			      'type'      => '',
			      'base'      => $pagination_base,
			      'format'    => '?'. $paging .'=%#%',
			      'current'   => max( 1, $project_query->get('paged') ),
			      'total'     => $project_query->max_num_pages
			   ) );
		   ?>
	    </div>
	<?php endif; ?>
</div>

<?php do_action( 'wonder_grid/after_grid_container' );?>
